# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [1.1.13] - 2023-02-21

### Fixed

- support for tailwind v3

Thanks to @jaulz, @Djiit and @josephbuchma for the contributions for this release

## [1.1.12] - 2021-06-24

### Added

- enable() function in helpers to selectively enable dark/light mode
- beforeTransition() function in helpers, fixing unwanted transitions as a side-effect of having nightwind class at html tag.

### Fixed

- added tailwindcss as peerDependency

Huge thanks to @jaulz, @Djiit and @josephbuchma for the contributions for this release!

## [1.1.11] - 2021-04-01

### Added

- Support for CSS variables

## [1.1.10] - 2021-03-29

### Added

- 'nightwind-prevent-block' class
- fixedBlockClass Nightwind configuration option
- transitionClasses Nightwind configuration option

### Changed

- Nightwind by default now generates transition classes only for 'text', 'bg' and 'border' color classes.

## [1.1.9] - 2021-03-29

### Changed

- Nightwind configuration option 'importantSibling' into 'importantNode'

## [1.1.8] - 2021-03-29

### Added

- Support for [important TailwindCSS configuration](https://tailwindcss.com/docs/configuration#important)
- Configuration option 'importantSibling' in nightwind config

## [1.1.7] - 2021-03-27

### Added

- Support for [tailwindcss-jit](https://github.com/tailwindlabs/tailwindcss-jit)

### Fixed

- Bug where tailwindcss-typography nightwind classes were not correctly generated, when using tailwindcss-jit

## [1.1.6] - 2021-02-17

### Fixed

- Bug where sometimes color classes with 'inherit' or 'transparent' were not rendered correctly in dark mode

## [1.1.5] - 2021-02-15

### Added

- Support for [tailwindcss-typography](https://github.com/tailwindlabs/tailwindcss-typography) official TailwindCSS plugin

### Fixed

- Support for 'group-focus' variant

## [1.1.4] - 2021-01-24

### Changed

- New 'variants', 'colorClasses' and 'transitionDuration' configuration in tailwind.config.js (with backward compatibility)

### Fixed

- 'group-hover' classes not being correctly generated

## [1.1.3] - 2021-01-21

### Removed

- Duplicated Nightwind transition classes from gradient classes

## [1.1.2] - 2021-01-20

### Fixed

- Priority of gradient classes generated by Nightwind, which may not appear correctly in some cases

## [1.1.1] - 2021-01-18

### Fixed

- Variants not being correctly applied to nightwind classes

## [1.1.0] - 2021-01-17

### Added

- Custom color scale configuration

## [1.0.9] - 2021-01-16

### Added

- The 'nightwind-prevent' class

## [1.0.8] - 2020-12-29

### Added

- Support for 'first', 'last', 'even' and 'odd' child variants

## [1.0.7] - 2020-12-24

### Fixed

- Solved light flicker and added dark mode persistence in helper functions

## [1.0.6] - 2020-12-22

### Changed

- New color inversion: now all colors get switched, also -50

## [1.0.5] - 2020-12-22

### Added

- Hybrid color mappings

### Changed

- Color mapping now use 'nightwind' instead of 'dark' in tailwind.config.js

## [1.0.4] - 2020-12-22

### Added

- Color mappings

## [1.0.3] - 2020-11-20

### Added

- Tailwind 2.0 support
- Support for inversion of -50 color weights
- Support for gradients in automatic dark mode
- Support for 'ring' color classes
- Support for 'ring-offset' color classes

## [1.0.2] - 2020-11-14

### Fixed

- Fixed opacity not being added in nightwind color classes

## [1.0.1] - 2020-11-11

### Added

- Automatic dark mode support for custom classes

### Changed

- Overrides now use the TailwindCSS dark: variant

## [1.0.0] - 2020-11-09

### Added

- Automatic dark mode
- Support for custom colors
- Variants support
- Overrides
- Helper functions
